apply plugin: 'com.android.application'

android {
    compileSdkVersion 25
    buildToolsVersion '25.0.0'

    defaultConfig {
        applicationId "com.ewei.demo"
        minSdkVersion 19
        targetSdkVersion 25
        versionCode 2
        versionName "3.1"

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi', 'armeabi-v7a', 'arm64-v8a'
            // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile(name: 'EweiHelpCenterSDK', ext: 'aar')
    compile'com.czt.mp3recorder:library:1.0.4'
    compile 'com.qiniu:qiniu-android-sdk:7.3.+'
    compile 'com.android.support:support-annotations:22.2.0'
    compile 'com.google.guava:guava:24.0-android'
    compile 'com.android.support:appcompat-v7:25.3.1'
    compile 'com.google.code.gson:gson:2.2.4'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'com.squareup.retrofit2:retrofit:latest.integration'
    compile 'com.squareup.retrofit2:converter-gson:latest.integration'
    compile 'com.github.bumptech.glide:glide:4.0.0'
    compile 'com.android.support:recyclerview-v7:25.3.1'
    compile 'com.github.chrisbanes.photoview:library:1.2.4'
    compile 'pub.devrel:easypermissions:1.0.0'
    testCompile 'junit:junit:4.12'
}

repositories {
    flatDir { dirs 'aars' }
    mavenCentral()
}